## win32-loader 0.6.0~pre3

=== Makefile ===

export SHELL := bash

PACKAGE	:= win32-loader
VERSION	:= $(shell head -n 1 debian/changelog | sed -e "s/^$(PACKAGE) (\(.*\)).*/\1/g")

CC		:= i586-mingw32msvc-gcc -Os
STRIP		:= i586-mingw32msvc-strip
MAKENSIS	:= makensis
ifdef NETWORK_BASE_URL
MAKENSIS	+= -DNETWORK_BASE_URL=$(NETWORK_BASE_URL)
endif

# partmap and fs
GRUB_MODULES	+= pc fat ntfs
# used in our grub.cfg
GRUB_MODULES	+= search linux _linux boot
# might be useful for debugging
GRUB_MODULES	+= cat cpuid _chain chain halt help ls reboot search

all: win32-loader.exe g2ldr g2ldr.mbr

core.img:
	grub-mkimage -o $@ --prefix / $(GRUB_MODULES)

g2ldr: /usr/lib/grubutil/g2hdr.bin core.img
	cat $^ > $@

g2ldr.mbr: /usr/lib/grubutil/g2ldr.mbr
	cp $^ $@

win32-loader.exe: main.nsi maps.ini \
		templates/binary_choice.ini templates/graphics.ini templates/custom.ini \
		plugins/cpuid/test64.dll plugins/systeminfo/systeminfo.dll plugins/string.dll \
		swirl.ico license
	$(MAKE) -C l10n
	$(MAKENSIS) main.nsi
	du -h win32-loader.exe

license: license.in
	sed -e "s/@VERSION@/$(VERSION)/g" < $^ > $@

plugins/cpuid/test64.dll: plugins/cpuid/cpuid.c plugins/cpuid/plugin.c
	$(CC) -Wl,--file-alignment,512 $^ -shared -o $@
	$(STRIP) $@

plugins/systeminfo/systeminfo.dll: plugins/systeminfo/systeminfo.c
	$(CC) -Wl,--file-alignment,512 $^ -shared -o $@
	$(STRIP) $@

plugins/string.dll: plugins/string.c
	$(CC) -Wl,--file-alignment,512 $^ -shared -o $@
	$(STRIP) $@

iso: win32-loader.iso
win32-loader.iso: win32-loader.exe win32-loader.ini autorun.inf \
  netboot/install.386/vmlinuz netboot/install.386/initrd.gz netboot/install.386/gtk/initrd.gz \
  netboot/install.amd/vmlinuz netboot/install.amd/initrd.gz netboot/install.amd/gtk/initrd.gz \
  g2ldr g2ldr.mbr
	cp g2ldr g2ldr.mbr netboot/
	todos < autorun.inf > netboot/autorun.inf
	todos < win32-loader.ini > netboot/win32-loader.ini
	cp win32-loader.exe netboot/
	# this mimics the location of html docs in official CDs
	echo "<html>hello, borg world!</html>" > netboot/README.html
	genisoimage -r -J -o $@ netboot

netboot/install.386/vmlinuz:
	mkdir -p netboot/install.386
	wget http://ftp.nl.debian.org/debian/dists/etch/main/installer-i386/current/images/netboot/debian-installer/i386/linux -O $@
netboot/install.386/initrd.gz:
	mkdir -p netboot/install.386
	wget http://ftp.nl.debian.org/debian/dists/etch/main/installer-i386/current/images/netboot/debian-installer/i386/initrd.gz -O $@
netboot/install.386/gtk/initrd.gz:
	mkdir -p netboot/install.386/gtk
	wget http://ftp.nl.debian.org/debian/dists/etch/main/installer-i386/current/images/netboot/gtk/debian-installer/i386/initrd.gz -O $@
netboot/install.amd/vmlinuz:
	mkdir -p netboot/install.amd
	wget http://ftp.nl.debian.org/debian/dists/etch/main/installer-amd64/current/images/netboot/debian-installer/amd64/linux -O $@
netboot/install.amd/initrd.gz:
	mkdir -p netboot/install.amd
	wget http://ftp.nl.debian.org/debian/dists/etch/main/installer-amd64/current/images/netboot/debian-installer/amd64/initrd.gz -O $@
netboot/install.amd/gtk/initrd.gz:
	mkdir -p netboot/install.amd/gtk
	wget http://ftp.nl.debian.org/debian/dists/etch/main/installer-amd64/current/images/netboot/gtk/debian-installer/amd64/initrd.gz -O $@

clean:
	$(MAKE) -C l10n clean
	rm -f plugins/cpuid/*.dll plugins/cpuid/*.exe plugins/systeminfo/*.dll plugins/*.dll win32-loader.exe \
		win32-loader.iso *~ */*~ license core.img g2ldr g2ldr.mbr

distclean: clean
	rm -f debian/compat
	rm -rf netboot

=== l10n/Makefile ===
LINGUAS=bg ca cs de en es eu fi fr he hu it ja nl pt ru sk sv tr

all: templates/all.nsh templates/dialog.nsh po/messages.pot

templates/dialog.nsh: templates/all.nsh
	for i in $(LINGUAS) ; do \
		echo "Push \$${`LANGUAGE=$$i ./win32-loader.sh LANG_ENGLISH`}" ; \
		echo "Push `LANGUAGE=$$i ./win32-loader.sh English`" ; \
	done > $@

templates/all.nsh: $(foreach lang, $(LINGUAS), templates/$(lang).nsh)
	cat $^ > $@

win32-loader: win32-loader.c
	gcc -DTEXTDOMAINDIR=\"$(CURDIR)/locale\" $^ -o $@

templates/en.nsh: win32-loader.sh win32-loader
	mkdir -p templates
	LANGUAGE=C ./win32-loader.sh > $@

templates/%.nsh: po/%.po win32-loader.sh win32-loader po/messages.pot
	mkdir -p templates locale/$*/LC_MESSAGES
	msgmerge -U po/$*.po po/messages.pot
	msgfmt -c --statistics -o locale/$*/LC_MESSAGES/win32-loader.mo $<
	LANGUAGE=$* ./win32-loader.sh > $@

po/messages.pot: win32-loader.sh win32-loader.c
	xgettext --from-code=utf-8 -ctranslate --keyword=_ $^ -o $@

clean:
	rm -rf *~ templates locale win32-loader

=== debian/changelog ===
win32-loader (0.6.0~pre3) unstable; urgency=low

  * Implement support for loading README.html.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Japanese (ja.po) by Hideki Yamane (Debian-JP) (Closes: #441566)
  * Russian (ru.po) by Yuri Kozlov
  * Vietnamese (vi.po) by Clytie Siddall

 -- Robert Millan <rmh@aybabtu.com>  Tue, 11 Sep 2007 14:35:52 +0200

win32-loader (0.6.0~pre2) unstable; urgency=low

  * Add reference to /usr/share/common-licenses.
    - debian/copyright
    - debian/control (Depends): Add base-files (>= 4.0.1).
  * Put debian-boot as Maintainer, and myself in Uploaders.
  * Support for using a different charset in NTLDR.  Defaults to cp437,
    which works for languages with latin charset.  Other translations
    will need to change this setting in their respective PO files.
    (Closes: #440471)
  * Misc fixes in l10n infrastructure that will enable build on any system
    where locales-all (added to Build-Depends) is installed, no matter the
    locale setup.  (Closes: #441193)
  * Get rid of hardcoded language lists in main.nsi.  All this cruft is
    now generated dynamicaly by l10n/Makefile (based on $(LINGUAS)).

  [ Updated translations ]
  * Catalan (ca.po) by Robert Millan
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Stefano Canepa
  * Portuguese (pt.po) by Miguel Figueiredo

 -- Robert Millan <rmh@debian.org>  Sun,  9 Sep 2007 16:06:51 +0200

win32-loader (0.6.0~pre1) unstable; urgency=low

  * Initial release (Closes: #425038).

 -- Robert Millan <rmh@debian.org>  Tue, 28 Aug 2007 23:14:19 +0200

=== debian/control ===
Source: win32-loader
Section: utils
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Robert Millan <rmh@debian.org>
Build-Depends: cdbs, debhelper (>= 5), nsis (>= 2.25-1), mingw32, gettext, grub-pc (>= 1.95+20070828-1), grubutil-win32, locales-all
Standards-Version: 3.7.2

Package: win32-loader
Architecture: all
Depends: base-files (>= 4.0.1)
Suggests: wine
Description: Debian-Installer loader for win32
 This package provides a win32 program that can be used as a loader for
 Debian Installer, acting as a more user-friendly boot mechanism than
 traditional BIOS-based boot.
 .
 It can act as a standalone netboot loader (for a practical example, see
 http://goodbye-microsoft.com/), or as a cdrom/usb-disk add-on that starts
 a media-based install.

## win32-loader 0.6.10

=== Makefile ===

export SHELL := bash

PACKAGE	:= win32-loader
VERSION	:= $(shell head -n 1 debian/changelog | sed -e "s/^$(PACKAGE) (\(.*\)).*/\1/g")

CC		:= i586-mingw32msvc-gcc -Os
STRIP		:= i586-mingw32msvc-strip
CFLAGS		:= -Wl,--file-alignment,512 -Werror

MAKENSIS	:= makensis
ifdef NETWORK_BASE_URL
MAKENSIS	+= -DNETWORK_BASE_URL=$(NETWORK_BASE_URL)
endif

# hard disk
GRUB_MODULES	+= biosdisk
# partmap
GRUB_MODULES	+= pc gpt
# fs
GRUB_MODULES	+= fat ntfs ntfscomp
# used in our grub.cfg
GRUB_MODULES	+= search linux _linux boot
# might be useful for debugging
GRUB_MODULES	+= cat cpuid _chain chain halt help ls reboot

all: win32-loader.exe g2ldr g2ldr.mbr

core.img:
	grub-mkimage -o $@ --prefix / $(GRUB_MODULES)

g2ldr: /usr/lib/grubutil/g2hdr.bin core.img
	cat $^ > $@

g2ldr.mbr: /usr/lib/grubutil/g2ldr.mbr
	cp $^ $@

loadlin.pif: genpif
	bash $^ > $@

loadlin.exe: /usr/lib/loadlin/loadlin.exe.gz
	gunzip -c $^ > $@

win32-loader.exe: main.nsi maps.ini \
		templates/binary_choice.ini templates/graphics.ini templates/custom.ini templates/4_choices.ini \
		plugins/cpuid/test64.dll plugins/systeminfo/systeminfo.dll plugins/string.dll \
		swirl.ico license loadlin.pif loadlin.exe
	$(MAKE) -C l10n
	$(MAKENSIS) main.nsi
	du -h win32-loader.exe

license: license.in debian/changelog
	sed -e "s/@VERSION@/$(VERSION)/g" < $< > $@

plugins/cpuid/test64.dll: plugins/cpuid/cpuid.c plugins/cpuid/plugin.c
	$(CC) $(CFLAGS) $^ -shared -o $@
	$(STRIP) $@

plugins/systeminfo/systeminfo.dll: plugins/systeminfo/systeminfo.c
	$(CC) $(CFLAGS) $^ -shared -o $@
	$(STRIP) $@

plugins/string.dll: plugins/string.c
	$(CC) $(CFLAGS) $^ -shared -o $@
	$(STRIP) $@

iso: stable.iso daily.iso
stable.iso: \
  netboot/download-stable-stamp \
  netboot/stable/win32-loader.exe netboot/stable/g2ldr netboot/stable/g2ldr.mbr \
  netboot/stable/autorun.inf netboot/stable/win32-loader.ini \
  $(NULL)
	genisoimage -r -J -o $@ netboot/stable

daily.iso: \
  netboot/download-daily-stamp \
  netboot/daily/win32-loader.exe netboot/daily/g2ldr netboot/daily/g2ldr.mbr \
  netboot/daily/autorun.inf netboot/daily/win32-loader.ini \
  $(NULL)
	genisoimage -r -J -o $@ netboot/daily

BASE_URL=http://ftp.nl.debian.org/debian/dists/stable/main
netboot/download-stable-stamp:
	mkdir -p netboot/stable/install.{386,amd}/gtk
	wget $(BASE_URL)/installer-i386/current/images/netboot/debian-installer/i386/linux \
		-O netboot/stable/install.386/vmlinuz
	wget $(BASE_URL)/installer-i386/current/images/netboot/debian-installer/i386/initrd.gz \
		-O netboot/stable/install.386/initrd.gz
	wget $(BASE_URL)/installer-i386/current/images/netboot/gtk/debian-installer/i386/initrd.gz \
		-O netboot/stable/install.386/gtk/initrd.gz
	wget $(BASE_URL)/installer-amd64/current/images/netboot/debian-installer/amd64/linux \
		-O netboot/stable/install.amd/vmlinuz
	wget $(BASE_URL)/installer-amd64/current/images/netboot/debian-installer/amd64/initrd.gz \
		-O netboot/stable/install.amd/initrd.gz
	wget $(BASE_URL)/installer-amd64/current/images/netboot/gtk/debian-installer/amd64/initrd.gz \
		-O netboot/stable/install.amd/gtk/initrd.gz
	touch $@

netboot/download-daily-stamp:
	mkdir -p netboot/daily/install.{386,amd}/gtk
	wget http://people.debian.org/~joeyh/d-i/images/daily/netboot/debian-installer/i386/linux \
		-O netboot/daily/install.386/vmlinuz
	wget http://people.debian.org/~joeyh/d-i/images/daily/netboot/debian-installer/i386/initrd.gz \
		-O netboot/daily/install.386/initrd.gz
	wget http://people.debian.org/~joeyh/d-i/images/daily/netboot/gtk/debian-installer/i386/initrd.gz \
		-O netboot/daily/install.386/gtk/initrd.gz
	wget http://people.debian.org/~aba/d-i/images/daily/netboot/debian-installer/amd64/linux \
		-O netboot/daily/install.amd/vmlinuz
	wget http://people.debian.org/~aba/d-i/images/daily/netboot/debian-installer/amd64/initrd.gz \
		-O netboot/daily/install.amd/initrd.gz
	wget http://people.debian.org/~aba/d-i/images/daily/netboot/gtk/debian-installer/amd64/initrd.gz \
		-O netboot/daily/install.amd/gtk/initrd.gz
	touch $@

netboot/stable/autorun.inf netboot/daily/autorun.inf: autorun.inf
	mkdir -p netboot/{stable,daily}
	todos < $< > $@
netboot/stable/win32-loader.ini netboot/daily/win32-loader.ini: win32-loader.ini
	mkdir -p netboot/{stable,daily}
	todos < $< > $@

netboot/stable/win32-loader.exe netboot/daily/win32-loader.exe: win32-loader.exe
	mkdir -p netboot/{stable,daily}
	cp $^ $@

netboot/stable/% netboot/daily/%: %
	mkdir -p netboot/{stable,daily}
	cp $(shell basename $@) $@

clean:
	$(MAKE) -C l10n clean
	rm -f plugins/cpuid/*.dll plugins/cpuid/*.exe plugins/systeminfo/*.dll plugins/*.dll win32-loader.exe \
		*.iso *~ */*~ license core.img g2ldr g2ldr.mbr loadlin.pif loadlin.exe

distclean: clean
	rm -rf netboot

=== l10n/Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
-LINGUAS=bg ca cs de en es eu fi fr he hu it ja nl pt ru sk sv tr
+LINGUAS=be bg ca cs de el en es eu fi fr gl he hr hu it ja ko lt nb nl pl pt pt_BR ro ru sk sq sv th tr zh_CN zh_TW
 
 all: templates/all.nsh templates/dialog.nsh po/messages.pot
 
 templates/dialog.nsh: templates/all.nsh
 	for i in $(LINGUAS) ; do \
 		echo "Push \$${`LANGUAGE=$$i ./win32-loader.sh LANG_ENGLISH`}" ; \
-		echo "Push `LANGUAGE=$$i ./win32-loader.sh English`" ; \
+		echo "Push \"`LANGUAGE=$$i ./win32-loader.sh English`\"" ; \
 	done > $@
 
 templates/all.nsh: $(foreach lang, $(LINGUAS), templates/$(lang).nsh)
-	cat $^ > $@
+	for i in $^ ; do echo "; BEGIN $$i" ; cat $$i ; echo "; END $$i" ; done > $@
 
 win32-loader: win32-loader.c
 	gcc -DTEXTDOMAINDIR=\"$(CURDIR)/locale\" $^ -o $@

=== debian/changelog ===
win32-loader (0.6.10) unstable; urgency=low

  * Scan for the System Partition and use it consistently.  Fix problem that
    breaks cpio.bat when system partition != boot partition.  (Closes: #509299)

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by mvillarino  (Closes: #510388)
  * Japanese (ja.po) by Hideki Yamane (Debian-JP)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Ivan Masár  (Closes: #510199)
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall  (Closes: #509711)

 -- Robert Millan <rmh@aybabtu.com>  Sun, 18 Jan 2009 13:07:46 +0100

win32-loader (0.6.9) unstable; urgency=high

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat  (Closes: #499605)
  * Turkish (tr.po) by Mert Dirik  (Closes: #500962)

  [ Robert Millan ]
  * Build-depend on a DFSG-clean version of loadlin.  (Closes: #497676)
  * Remove workaround for #469533 (it was no longer useful with Linux
    images in lenny, anyway).
  * main.nsi: Remove "search" command in grub.cfg.  It was a no-op.
  * Build-depend on grubutil-win32 >= 1.1-18-3.  (Closes: #503432)

 -- Robert Millan <rmh@aybabtu.com>  Thu, 30 Oct 2008 16:29:24 +0100

win32-loader (0.6.8) unstable; urgency=low

  [ Updated translations ]
  * Finnish (fi.po) unfuzzied
  * Russian (ru.po) by Yuri Kozlov  (Closes: #491446)
  * Swedish (sv.po) by Martin Bagge  (Closes: #490155)
  * Vietnamese (vi.po) by Clytie Siddall.
  * Romanian (ro.po) by Eddy Petrișor
  * Traditional Chinese (zh_TW.po) by Tetralet

  [ Added translations ]
  * Dzongkha (dz.po) by Tenzin Dendup.
    This language is not activated yet because NSIS is not
    translated. It is not even guaranteed that Windows
    supports Dzongkha, indeed.
  * Lithuanian (lt.po) by Gintautas Miliauskas. Closes: #497458
  * Greek (el.po) by Emmanuel galatoulas (reviewed by Faidon Liambotis).
  * Croatian (hr.po) by Josip Rodin.

  [ Robert Millan ]
  * Build-Depend on grub-pc >= 1.96+20080724-10.  (Closes: #496981)

 -- Robert Millan <rmh@aybabtu.com>  Wed, 10 Sep 2008 00:38:00 +0200

win32-loader (0.6.7) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Hebrew (he.po) by Lior Kaplan
  * Italian (it.po) by Stefano Canepa
  * Polish (pl.po) by Wiktor Wandachowicz
  * Albanian (sq.po) by Elian Myftiu
  * Turkish (tr.po) by Mert Dirik

 -- Robert Millan <rmh@aybabtu.com>  Sun, 22 Jun 2008 00:05:53 +0200

win32-loader (0.6.6) unstable; urgency=low

  * l10n-ize the DetailPrint calls.
  * Move "compact" call down _after_ all the files it's supposed to
    uncompress have been fetched.
  * Accept "default_desktop" parameter in "[installer]" section of
    win32-loader.ini.  (Closes: #473320)
  * Probe for boot.ini in all conceiveable drives.  (Closes: #479180,
    #442262)

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Catalan (ca.po) by Robert Millan
  * Czech (cs.po) by Miroslav Kure
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tommi Vainikainen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÁC Attila
  * Japanese (ja.po) by Hideki Yamane (Debian-JP) (Closes: #473186)
  * Korean (ko.po) by Sunjae Park
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Dutch (nl.po) by Frans Pop
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovak (sk.po) by Peter Mann
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Simplified Chinese (zh_CN.po) by Deng Xiyue (Closes: #478988)

 -- Robert Millan <rmh@aybabtu.com>  Mon,  5 May 2008 16:45:14 +0200

win32-loader (0.6.5) unstable; urgency=low

  * echo 5 > debian/compat
  * Makefile: Fix stamp handling in iso target.
  * Add a few DetailPrint calls.

 -- Robert Millan <rmh@aybabtu.com>  Tue, 18 Mar 2008 01:17:01 +0100

win32-loader (0.6.4) experimental; urgency=low

  * Rename "Debconf preseed line:" to "Linux cmdline".
  * Bring back support for Windows 98.

 -- Robert Millan <rmh@aybabtu.com>  Wed,  5 Mar 2008 19:56:57 +0100

win32-loader (0.6.3) unstable; urgency=low

  * Use RequestExecutionLevel to disable idiotic compatibility mode where
    Vista identifies itself as XP.

 -- Robert Millan <rmh@aybabtu.com>  Sun, 24 Feb 2008 21:24:40 +0100

win32-loader (0.6.2) unstable; urgency=low

  * s/XFCE/Xfce/g.  (Closes: #466333)
  * Fix bcdedit load in 64-bit Vista.  Thanks Amir Szekely for the hints.
    (Closes: #441379)

  [ Updated translations ]
  * Traditional Chinese (zh_TW.po) by Tetralet (Closes: #464972)

 -- Robert Millan <rmh@aybabtu.com>  Sun, 24 Feb 2008 11:29:54 +0100

win32-loader (0.6.1) unstable; urgency=low

  * Set the "seen" flag to false for preseed variables that weren't intended
    to be skipped.
  * control (Build-Depends): Avoid grub-pc (>= 1.96+20080203) & grubutil-win32
    (<< 1.1-18-2) deadly combination.

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Robert Millan <rmh@aybabtu.com>  Sun, 17 Feb 2008 12:34:44 +0100

win32-loader (0.6.0) unstable; urgency=low

  * Add page to allow user into rescue mode.
  * Preseed quietness on non-expert installs.
  * Disable LicenseForceSelection.
  * Add dialog to choose desktop environment (GNOME, KDE, XFCE, None).
    (Closes: #442209)
  * Detect and preseed passwd/user-fullname (without setting the seen flag).
  * Do not preseed "interface=auto". Do not set the seen flag for
    "domain" and "time/zone".
  * Correct a pair of mistakes in English strings (thanks Jens Seidel).
  * Fix dialog.nsh generation for languages whose names have more than
    one word (welcome, Norwegian Bokmål).


=== debian/control ===
--- 
+++ 
@@ -2,13 +2,22 @@
 Section: utils
 Priority: extra
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Robert Millan <rmh@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), nsis (>= 2.25-1), mingw32, gettext, grub-pc (>= 1.95+20070828-1), grubutil-win32, locales-all
+Uploaders: Robert Millan <rmh@aybabtu.com>
+Build-Depends:
+ cdbs,
+ debhelper (>= 5),
+ nsis (>= 2.25),
+ mingw32,
+ gettext,
+ grub-pc (>= 1.96+20080724-10), grubutil-win32 (>= 1.1-18-3),
+ loadlin (>= 1.6c.really1.6c.nobin-1~),
+ locales-all,
+ cpio-win32 (>= 2.9-11), gzip-win32
 Standards-Version: 3.7.2
 
 Package: win32-loader
 Architecture: all
-Depends: base-files (>= 4.0.1)
+Depends: base-files (>= 4.0.1~)
 Suggests: wine
 Description: Debian-Installer loader for win32
  This package provides a win32 program that can be used as a loader for

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# override "clean" in cdbs
DEB_MAKE_CLEAN_TARGET = distclean

## win32-loader 0.6.21+squeeze0

=== Makefile ===
--- 
+++ 
@@ -4,35 +4,47 @@
 PACKAGE	:= win32-loader
 VERSION	:= $(shell head -n 1 debian/changelog | sed -e "s/^$(PACKAGE) (\(.*\)).*/\1/g")
 
-CC		:= i586-mingw32msvc-gcc -Os
-STRIP		:= i586-mingw32msvc-strip
-CFLAGS		:= -Wl,--file-alignment,512 -Werror
+NSIS_CC		:= i586-mingw32msvc-gcc -Os
+NSIS_STRIP	:= i586-mingw32msvc-strip
+NSIS_CFLAGS	:= -Wl,--file-alignment,512 -Werror -D_WIN32_WINNT=0x0500
 
-MAKENSIS	:= makensis
+ifeq ($(wildcard /usr/i586-mingw32msvc/include/exdll.h), /usr/i586-mingw32msvc/include/exdll.h)
+NSIS_CFLAGS	+= -DHAVE_EXDLL_H
+else
+NSIS_CFLAGS	+= -L/usr/i586-mingw32msvc/lib/nsis -lpluginapi
+endif
+
+MAKENSIS	:= makensis -V3
+# Standalone version : Not linked to a website with preseed.cfg
+ifdef STANDALONE
+MAKENSIS	+= -DNOCD=yes
+endif
+
+# Network version : Linked to a website with preseed.cfg
 ifdef NETWORK_BASE_URL
-MAKENSIS	+= -DNETWORK_BASE_URL=$(NETWORK_BASE_URL)
+MAKENSIS	+= -DNETWORK_BASE_URL=$(NETWORK_BASE_URL) -DNOCD=yes
 endif
 
 # hard disk
 GRUB_MODULES	+= biosdisk
 # partmap
-GRUB_MODULES	+= pc gpt
+GRUB_MODULES	+= part_msdos part_gpt
 # fs
 GRUB_MODULES	+= fat ntfs ntfscomp
 # used in our grub.cfg
-GRUB_MODULES	+= search linux _linux boot
+GRUB_MODULES	+= search linux bsd vbe boot
 # might be useful for debugging
-GRUB_MODULES	+= cat cpuid _chain chain halt help ls reboot
+GRUB_MODULES	+= minicmd cat cpuid chain halt help ls reboot
 
 all: win32-loader.exe g2ldr g2ldr.mbr
 
 core.img:
-	grub-mkimage -o $@ --prefix / $(GRUB_MODULES)
+	grub-mkimage --output=$@ --prefix=/win32-loader --format=i386-pc $(GRUB_MODULES)
 
-g2ldr: /usr/lib/grubutil/g2hdr.bin core.img
+g2ldr: /usr/lib/grub/i386-pc/g2hdr.bin core.img
 	cat $^ > $@
 
-g2ldr.mbr: /usr/lib/grubutil/g2ldr.mbr
+g2ldr.mbr: /usr/lib/grub/i386-pc/g2ldr.mbr
 	cp $^ $@
 
 loadlin.pif: genpif
@@ -44,7 +56,7 @@
 win32-loader.exe: main.nsi maps.ini \
 		templates/binary_choice.ini templates/graphics.ini templates/custom.ini templates/4_choices.ini \
 		plugins/cpuid/test64.dll plugins/systeminfo/systeminfo.dll plugins/string.dll \
-		swirl.ico license loadlin.pif loadlin.exe
+		swirl.ico license loadlin.pif loadlin.exe g2ldr g2ldr.mbr
 	$(MAKE) -C l10n
 	$(MAKENSIS) main.nsi
 	du -h win32-loader.exe
@@ -53,16 +65,16 @@
 	sed -e "s/@VERSION@/$(VERSION)/g" < $< > $@
 
 plugins/cpuid/test64.dll: plugins/cpuid/cpuid.c plugins/cpuid/plugin.c
-	$(CC) $(CFLAGS) $^ -shared -o $@
-	$(STRIP) $@
+	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
+	$(NSIS_STRIP) $@
 
 plugins/systeminfo/systeminfo.dll: plugins/systeminfo/systeminfo.c
-	$(CC) $(CFLAGS) $^ -shared -o $@
-	$(STRIP) $@
+	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
+	$(NSIS_STRIP) $@
 
 plugins/string.dll: plugins/string.c
-	$(CC) $(CFLAGS) $^ -shared -o $@
-	$(STRIP) $@
+	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
+	$(NSIS_STRIP) $@
 
 iso: stable.iso daily.iso
 stable.iso: \
@@ -98,17 +110,17 @@
 
 netboot/download-daily-stamp:
 	mkdir -p netboot/daily/install.{386,amd}/gtk
-	wget http://people.debian.org/~joeyh/d-i/images/daily/netboot/debian-installer/i386/linux \
+	wget http://d-i.debian.org/daily-images/i386/daily/netboot/debian-installer/i386/linux \
 		-O netboot/daily/install.386/vmlinuz
-	wget http://people.debian.org/~joeyh/d-i/images/daily/netboot/debian-installer/i386/initrd.gz \
+	wget http://d-i.debian.org/daily-images/i386/daily/netboot/debian-installer/i386/initrd.gz \
 		-O netboot/daily/install.386/initrd.gz
-	wget http://people.debian.org/~joeyh/d-i/images/daily/netboot/gtk/debian-installer/i386/initrd.gz \
+	wget http://d-i.debian.org/daily-images/i386/daily/netboot/gtk/debian-installer/i386/initrd.gz \
 		-O netboot/daily/install.386/gtk/initrd.gz
-	wget http://people.debian.org/~aba/d-i/images/daily/netboot/debian-installer/amd64/linux \
+	wget http://d-i.debian.org/daily-images/amd64/daily/netboot/debian-installer/amd64/linux \
 		-O netboot/daily/install.amd/vmlinuz
-	wget http://people.debian.org/~aba/d-i/images/daily/netboot/debian-installer/amd64/initrd.gz \
+	wget http://d-i.debian.org/daily-images/amd64/daily/netboot/debian-installer/amd64/initrd.gz \
 		-O netboot/daily/install.amd/initrd.gz
-	wget http://people.debian.org/~aba/d-i/images/daily/netboot/gtk/debian-installer/amd64/initrd.gz \
+	wget http://d-i.debian.org/daily-images/amd64/daily/netboot/gtk/debian-installer/amd64/initrd.gz \
 		-O netboot/daily/install.amd/gtk/initrd.gz
 	touch $@

=== l10n/Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
-LINGUAS=be bg ca cs de el en es eu fi fr gl he hr hu it ja ko lt nb nl pl pt pt_BR ro ru sk sq sv th tr zh_CN zh_TW
+# Add only languages really supported by NSIS there
+# For others, a PO file may be added and kept until NSIS is translated
+# Languages not yet supported by NSIS: ast bn dz kk ml ta te vi
+LINGUAS= ar be bg bs ca cs de el en eo es eu fi fr ga gl he hr hu is it ja ko lt nb nl pl pt pt_BR ro ru sk sl sq sv th tr uk zh_CN zh_TW
 
 all: templates/all.nsh templates/dialog.nsh po/messages.pot

=== debian/changelog ===
win32-loader (0.6.21+squeeze0) stable; urgency=low

  The "GPL compliance" release.

  * Add a dpkg-distaddfile byhand call to install win32-loader-
    standalone.exe as tools/$(SUITE)/win32-loader.exe on the mirrors.
  * Document which packages in which versions are embedded in the
    standalone flavour.
  * Add acknowledgement to NSIS in the companion text file.
  * Include version number in the companion text.
  * Update debian/copyright and the companion text to point to the real
    source locations.
  * Use the Built-Using field and enhance the sources documentation.

 -- Didier Raboud <didier@raboud.com>  Wed, 28 Sep 2011 13:49:11 +0200

win32-loader (0.6.21) unstable; urgency=low

  [ Updated translations ]
    - Slovenian (Vanja Cvelbar)
    - Dzongkha (dawa pemo)
      (Still not activated, no NSIS translation)
    - Dutch (Eric Spreen)
    - Greek (Emmanuel Galatoulas, Closes: #604454)

 -- Didier Raboud <didier@raboud.com>  Sun, 28 Nov 2010 16:52:09 +0100

win32-loader (0.6.20) unstable; urgency=low

  [ Updated translations ]
    - Belarusian (Viktar Siarheichyk)
    - Tamil (Dr.T.Vasudevan)
      (Still not activated, no NSIS translation)
    - Esperanto (Felipe Castro)
    - Catalan (Jordi Mallach, Closes: #600640)

 -- Didier Raboud <didier@raboud.com>  Thu, 21 Oct 2010 09:25:00 +0200

win32-loader (0.6.19) unstable; urgency=low

  [ Updated translations ]
    - Asturian (Maacub)
    - Spanish (Javier Fernández-Sanguino)
    - Icelandic added (Sveinn í Felli)
    - Telegu (Veeven). Closes: #593097

  * Update the kfreebsd daily netboot download.
  * Fix wrong Windows 7 detection as Windows NT and specify the device name in
    the bootmgr (Closes: #595140)

 -- Didier Raboud <didier@raboud.com>  Thu, 02 Sep 2010 20:04:38 +0200

win32-loader (0.6.18) unstable; urgency=low

  [ Updated translations ]
    - Galician (Jorge Barreiro)
    - Kazakh (Baurzhan Muftakhidinov). Closes: #587208
      (Still not activated, no NSIS translation)
    - Traditional Chinese (Tetralet). Closes: #494361, #513917
    - Bosnian added (Armin Beširović)
    - Esperanto fixed (LANG_ESPERANTO)
    - Danish added (Joe Hansen). Closes: #591103
    - Asturian added (Marcos Alvarez Costales). Closes: #511625
      (Not activated, no NSIS translation)

  [ Christian Perrier ]
  * Activate Bosnian translation
  * Activate Arabic translation (supported in NSIS 2.46)
  * Activate Esperanto translation (supported in NSIS 2.46)
  * Activate Irish translation (supported in NSIS 2.46)
  * Activate Slovenian translation (supported in NSIS 2.46)
  * Activate Ukrainian translation (supported in NSIS 2.46)
  * Update versioned build dependency on nsis to 2.43 (introduction
    of Esperanto)

  [ Didier Raboud ]
  * Call makensis verbosely.
  * Vietnamese is not activated; document that in l10n/Makefile
  * Bump Standards to 3.9.1.0 without changes needed. 

 -- Didier Raboud <didier@raboud.com>  Tue, 03 Aug 2010 20:57:36 +0200

win32-loader (0.6.17) unstable; urgency=low

  [ Updated translations ]
    - Bulgarian (Damyan Ivanov)
    - Czech (Miroslav Kure)
    - German (Holger Wansing). Closes: #580755
    - Norwegian Bokmal (Hans Fredrik Nordhaug)
    - Portuguese (Miguel Figueiredo)
    - Slovak (Ivan Masár)
    - Simplified Chinese (YunQiang Su)
    - Thai (Theppitak Karoonboonyanan)
    - Romanian (Andrei Popescu)

  * Specify grub-mkimage's --format to i386-pc (Closes: #584371)

 -- Didier Raboud <didier@raboud.com>  Thu, 03 Jun 2010 14:12:11 +0200

win32-loader (0.6.16) unstable; urgency=low

  * Add basic kFreeBSD support (Closes: #579742)
    + What works: fetching and booting a kFreeBSD d-i from standalone version
    - What doesn't: preseeding, stable install, g-i, media install

  * Move files to /usr/share/win32/ to be consistent with other win32 packages.
  * Sync linux bootparam VIDEO_MODE definition with rest of d-i
    - Revert the grub.cfg generation code update (aka s/vga=/set gfxpayload/g)

 -- Didier Raboud <didier@raboud.com>  Wed, 05 May 2010 18:28:39 +0200

win32-loader (0.6.15) unstable; urgency=low

  * Update the daily images URLs.
  * Remove hardcoded release codenames.
  * Remove the getwindowsversion.nsh code duplicate (included in nsis).
    - Take the opportunity to widen Windows version conditions.
  * Separate network (with a http shipped preseed.cfg) from standalone
    functionality (completely lonely executable).
  * Store the old boot.ini timeout value. Closes: #476777
  * Update the grub.cfg generation code to cope with recent grub-pc
    (aka s/vga=/set gfxpayload/g)
  * Update Build-Dependency on cpio-win32 to >= 2.11-4 to fix initramfs
    preseed.cfg embedding which broke the installer boot.

  * Add myself to copyright files.
  * Add the DM-Upload-Allowed field to debian/control.

 -- Didier Raboud <didier@raboud.com>  Fri, 30 Apr 2010 10:00:00 +0200

win32-loader (0.6.14) unstable; urgency=high

  [ Updated translations ]
    - Simplified Chinese (苏运强).
    - German (Holger Wansing). Closes: #566567
    - Slovak (Ivan Masár). Closes: #568370
    - Bengali (Sadia Afroz).
    - Vietnamese (Clytie Siddall). Closes: #568978
    - Japanese.
    - Tamil added (but not activated as not supported in NSIS)
      Closes: #578501.

  [ Didier Raboud ]
  * Add myself to Uploaders.
  * Add mingw32-runtime to Build-Depends. Closes: #569389
    - Urgency high for RC bug fixing.
  * Convert packaging to tiny debhelper style.
    - Drop cdbs B-D, bump debhelper B-D version and compat.
  * Use 3.0 (native) source format.
  * Provide the standalone version. Closes: #464233
  * Point to specific GPL version in debian/copyright
  * Rewrite description. Closes: #578567
  * Add Vcs-* fields to debian/control.
  * Bump Standards to 3.8.4 without changes needed.

 -- Christian Perrier <bubulle@debian.org>  Fri, 23 Apr 2010 07:14:40 +0200

win32-loader (0.6.13) unstable; urgency=low

  [ Robert Millan ]
  * Update for GRUB module rename.  (Closes: #545648)


=== debian/control ===
Source: win32-loader
Section: utils
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Robert Millan <rmh.debian@aybabtu.com>, Didier Raboud <didier@raboud.com>
DM-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 7.0.50),
 nsis (>= 2.43),
 gcc-mingw32, mingw32-runtime,
 gettext,
 grub-pc (>= 1.97+20091130-1~),
 loadlin (>= 1.6c.really1.6c.nobin-1~),
 locales-all,
 cpio-win32 (>= 2.11-4), gzip-win32
Standards-Version: 3.9.1.0
Vcs-Svn: svn://svn.debian.org/d-i/trunk/win32-loader/
Vcs-Browser: http://svn.debian.org/wsvn/d-i/trunk/win32-loader/?op=log

Package: win32-loader
Architecture: all
Depends: ${misc:Depends}, base-files (>= 4.0.1~)
Built-Using: ${w32-loader:built-using}
Suggests: wine
Description: Debian-Installer loader for win32
 This package provides a win32 program that can be used as a loader for
 Debian Installer, acting as a more user-friendly boot mechanism than
 traditional BIOS-based boot.
 .
 This package contains both the cdrom/usb-disk add-on that starts a media-based
 install and the standalone netboot loader.

=== debian/rules ===
#!/usr/bin/make -f

# Install the win32-loader-standalone.exe as debian/tools/win32-loader/$(SUITE)/win32-loader.exe on the mirrors
BYHAND ?= yes

W32_VERSION := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
W32_BYHAND_NAME := win32-loader_$(W32_VERSION)_all

B_D_PACKAGES := grub-pc cpio-win32 gzip-win32

PACKAGES_LIST := $(shell set -e; \
	for p in ${B_D_PACKAGES}; \
	do \
		if test `dpkg-query --showformat='x$${Source}x' --show $$p` = "xx"; \
		then \
			dpkg-query --showformat='$${Package;-25} $${Version;-25} http://ftp.debian.org/debian/pool/main/$${Package;1}/$${Package}\\n' --show $$p; \
		else \
			dpkg-query --showformat='$${Package;-25} $${Version;-25} http://ftp.debian.org/debian/pool/main/$${Source;1}/$${Source}\\n' --show $$p; \
		fi; \
	done)

BUILT_USING_LIST := $(shell set -e; \
	for p in ${B_D_PACKAGES}; \
	do \
		if test `dpkg-query --showformat='x$${Source}x' --show $$p` = "xx"; \
		then \
			dpkg-query --showformat='$${Package} (= $${Version}), ' --show $$p; \
		else \
			dpkg-query --showformat='$${Source} (= $${Version}), ' --show $$p; \
		fi; \
	done)

NSIS_VERSION  := $(shell dpkg-query -f='$${Version}' -W nsis )

%:
	dh $@

override_dh_auto_build:
	# Build the standalone version
	STANDALONE=yes dh_auto_build
	mv win32-loader.exe win32-loader-standalone.exe
	
	# Prepare the README file
	awk '{sub(/@PACKAGES_LIST@/,"$(PACKAGES_LIST)")}1 \
             {sub(/@NSIS_VERSION@/,"$(NSIS_VERSION)")}1 \
             {sub(/@W32_VERSION@/,"$(W32_VERSION)")}1' \
		debian/win32-loader_doc.txt > $(W32_BYHAND_NAME).txt
	cat debian/copyright >> $(W32_BYHAND_NAME).txt
	# Build the cdrom version
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -f win32-loader-standalone.exe

override_dh_builddeb:
	dh_builddeb
ifeq ($(BYHAND),yes)
	cp win32-loader-standalone.exe ../$(W32_BYHAND_NAME).exe
	dpkg-distaddfile $(W32_BYHAND_NAME).exe byhand -

	cp $(W32_BYHAND_NAME).txt ../
	dpkg-distaddfile $(W32_BYHAND_NAME).txt byhand -
endif

override_dh_gencontrol:
	dh_gencontrol -- -Vw32-loader:built-using="$(BUILT_USING_LIST)"

## win32-loader 0.7.0

=== Makefile ===
--- 
+++ 
@@ -14,15 +14,54 @@
 NSIS_CFLAGS	+= -L/usr/i586-mingw32msvc/lib/nsis -lpluginapi
 endif
 
+# Standard makensis call
 MAKENSIS	:= makensis -V3
+
+# Add to it some version'ing and date
+MAKENSIS	+= -DVERSION=$(VERSION) -D4DIGITS_DATE=`date +%Y.%m.%d.%H%M`
+
+ifdef OUTFILE_NAME
+MAKENSIS	+= -D_OUTFILE_NAME=$(OUTFILE_NAME)
+endif
+
+# Distributor/Company name (defaults to "The Debian Project")
+ifdef COMPANY_NAME
+MAKENSIS	+= -D_COMPANY_NAME=$(COMPANY_NAME)
+endif
+
+# Distribution name (ASCII only, please)
+ifdef TARGET_DISTRO
+MAKENSIS	+= -DTARGET_DISTRO=$(TARGET_DISTRO)
+endif
+
 # Standalone version : Not linked to a website with preseed.cfg
 ifdef STANDALONE
 MAKENSIS	+= -DNOCD=yes
+OPTIONS_TXT	+= +net
 endif
 
 # Network version : Linked to a website with preseed.cfg
 ifdef NETWORK_BASE_URL
-MAKENSIS	+= -DNETWORK_BASE_URL=$(NETWORK_BASE_URL) -DNOCD=yes
+# Embed the md5sum or sha1sum of the $(NETWORK_BASE_URL)/preseed.cfg file for enhanced security.
+MAKENSIS	+= -DNETWORK_BASE_URL=$(NETWORK_BASE_URL) -DNOCD=yes -DNETWORK_BASE_URL_CHECKSUM=$(NETWORK_BASE_URL_CHECKSUM)
+OPTIONS_TXT	+= +url
+endif
+
+# PXE version (which is standalone too)
+ifdef PXE
+MAKENSIS	+= -DPXE=yes -DNOCD=yes
+OPTIONS_TXT	+= +pxe
+endif
+
+# Disabling the kFreeBSD download
+ifndef NO_KFREEBSD
+MAKENSIS	+= -DKFREEBSD=yes
+else
+OPTIONS_TXT	+= -kbsd
+endif
+
+ifdef OPTIONS_TXT
+MAKENSIS	+= -DOPTIONS_TXT="$(OPTIONS_TXT)"
 endif
 
 # hard disk
@@ -35,6 +74,10 @@
 GRUB_MODULES	+= search linux bsd vbe boot
 # might be useful for debugging
 GRUB_MODULES	+= minicmd cat cpuid chain halt help ls reboot
+ifdef PXE
+# Booting the pxe.lkrn requires linux16
+GRUB_MODULES	+= linux16
+endif
 
 all: win32-loader.exe g2ldr g2ldr.mbr
 
@@ -52,17 +95,26 @@
 
 loadlin.exe: /usr/lib/loadlin/loadlin.exe.gz
 	gunzip -c $^ > $@
+
+ifdef PXE
+pxe.target: pxe.lkrn templates/ternary_choice.ini
+else
+pxe.target:
+endif
 
 win32-loader.exe: main.nsi maps.ini \
 		templates/binary_choice.ini templates/graphics.ini templates/custom.ini templates/4_choices.ini \
 		plugins/cpuid/test64.dll plugins/systeminfo/systeminfo.dll plugins/string.dll \
-		swirl.ico license loadlin.pif loadlin.exe g2ldr g2ldr.mbr
+		plugins/sha1sum.dll \
+		pxe.target \
+		swirl.ico loadlin.pif loadlin.exe g2ldr g2ldr.mbr
 	$(MAKE) -C l10n
 	$(MAKENSIS) main.nsi
+ifndef OUTFILE_NAME
 	du -h win32-loader.exe
-
-license: license.in debian/changelog
-	sed -e "s/@VERSION@/$(VERSION)/g" < $< > $@
+else
+	du -h $(OUTFILE_NAME)
+endif
 
 plugins/cpuid/test64.dll: plugins/cpuid/cpuid.c plugins/cpuid/plugin.c
 	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
@@ -73,6 +125,10 @@
 	$(NSIS_STRIP) $@
 
 plugins/string.dll: plugins/string.c
+	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
+	$(NSIS_STRIP) $@
+
+plugins/sha1sum.dll: plugins/sha1sum.c
 	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
 	$(NSIS_STRIP) $@
 
@@ -142,7 +198,7 @@
 clean:
 	$(MAKE) -C l10n clean
 	rm -f plugins/cpuid/*.dll plugins/cpuid/*.exe plugins/systeminfo/*.dll plugins/*.dll win32-loader.exe \
-		*.iso *~ */*~ license core.img g2ldr g2ldr.mbr loadlin.pif loadlin.exe
+		*.iso *~ */*~ core.img g2ldr g2ldr.mbr loadlin.pif loadlin.exe
 
 distclean: clean
 	rm -rf netboot

=== l10n/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Add only languages really supported by NSIS there
 # For others, a PO file may be added and kept until NSIS is translated
 # Languages not yet supported by NSIS: ast bn dz kk ml ta te vi
-LINGUAS= ar be bg bs ca cs de el en eo es eu fi fr ga gl he hr hu is it ja ko lt nb nl pl pt pt_BR ro ru sk sl sq sv th tr uk zh_CN zh_TW
+LINGUAS= ar be bg bs ca cs da de el en eo es eu fi fr ga gl he hr hu is it ja ko lt nb nl pl pt pt_BR ro ru sk sl sq sv th tr uk zh_CN zh_TW
 
 all: templates/all.nsh templates/dialog.nsh po/messages.pot

=== debian/changelog ===
win32-loader (0.7.0) unstable; urgency=low

  The « Petite Arvine » release.

  * Standalone flavour:
    - Fork gcrypt's win32 sha1um implementation into a NSIS plugin.
    - Implement the last "Trusted download" bits:
      1) Check Release{,.gpg} against debian-archive-keyring.gpg.
      2) Check installer MD5SUMS against its sha1sum in Release, thanks to
         FTP Masters for the archive-side changes.
      3) Check kernel and initrd against their md5sum in MD5SUMS.
    - Print downloaded URLs to details buffer.

  * Network flavour:
    - Don't download g2ldr{,.mbr} from the net: too tiny to be worth.
    - Make the network mode work securely by allowing preseed.cfg checksum
      embedding (Closes: #442180).

  * Updated translations:
    - Galician (Miguel Anxo Bouzada, Closes: #617397)
    - Belarusian (Viktar Siarheichyk, Closes: #617702)
    - Swedish (Martin Bagge, Closes: #618663)

  * Bug-fixing:
    - Don't create a useless boot.ini at uninstall time if it doesn't exist.

 -- Didier Raboud <odyx@debian.org>  Mon, 21 Mar 2011 13:40:11 +0100

win32-loader (0.6.91) unstable; urgency=low

  [ Updated translations ]
    - Bulgarian (Damyan Ivanov, Closes: #614843)
    - Czech (Miroslav Kure)
    - Esperanto (Felipe Castro)
    - Finnish (Tommi Vainikainen, Closes: #614428)
    - German (Holger Wansing, Closes: #617287)
    - Greek (Thomas Vasileiou)
    - Hebrew (Lior Kaplan)
    - Hungarian (SZERVÁC Attila)
    - Icelandic (Sveinn í Felli)
    - Irish (Kevin Scannell)
    - Portuguese (Miguel Figueiredo)
    - Russian (Yuri Kozlov, Closes: #614613)
    - Simplified Chinese (Qijiang Fan)
    - Slovak (Ivan Masár, Closes: #614552)
    - Thai (Theppitak Karoonboonyanan)
    - Ukrainian (Яценко Олександр)

  * Standalone flavour companion text
    - Replace "GPL acceptance" by "language choice"
    - Add acknowledgement to NSIS
    - Include win32-loader version number
  * Translations
    - Also update non-supported languages.
    - Enable Danish.

 -- Didier Raboud <odyx@debian.org>  Mon, 07 Mar 2011 21:09:59 +0100

win32-loader (0.6.90) unstable; urgency=low

  The "Let's Squeeze win32-loader!" release

  * General
    - Remove license click-trough.
    - Add executable properties and proper branding.
    - Also add branding to the Uninstaller info in the Windows registry.
    - Split main.nsi in multiple files, make sure GPLv3+ license headers are
      in all split files.
    - Allow build-time outfile name selection.
    - Allow build-time choice of Company Name.
    - Enhance >= Vista boot device detection with bcdedit.exe.
    - Update my copyright notices to 2011.

  * Standalone flavour
    - Add PXE functionality (Closes: #607417).
    - Add a PXE-specific boot text.
    - Add a notice in THANKS for the people behind the PXE patch.
    - Make the Windows bootloader entry distro- and kernel- specific.
    - Debian GNU/kFreeBSD was released as "stable", remove the corresponding
      TODO.
    - Allow opt-out of the the GNU/kFreeBSD download possibility.
    - Make sure default desktop is GNOME.
    - Use cdn.debian.net instead of ftp.se.d.o to download d-i kernels and
      initrd's.
    - Trustful download
      - Download and check Release{,.gpg} against debian-archive-keyring.gpg
        with gpgv.exe (thanks to the GnuPG maintainers).
      - Check downloaded kernels and initrd's against MD5SUMS.
    - Enhance message for download errors.
    - Don't install the standalone flavour, as it reaches the mirrors trough
      byhand.
    - Only build the standalone version if BYHAND is yes.
    - Document which packages in which versions are embedded.
    - Build the standalone exe with its definitive name.
  
  * Bug-fixing
    - Make sure grub.cfg is always referred to as being in $INSTDIR
      (C:\win32-loader\).
    - Feed the $windows_version variable with something sensible (instead
      of nothing).
    - Use the charset-secured $d-i_ntldr for modern Windows 7 hosts too.
    - Create variable d only on the CD flavours.
    - Define Windows register indexes as build-time variables.
    - Move bcdedit.exe finding earlier.

  * Localisation
    - Fix the Icelandic translation.
    - Add new strings for PXE boot, GPG checking, checksum computation.
    - Force LANGUAGE to fallback to LANG_ENGLISH.
    - Re-brand the program as 'Debian-Installer loader'.
    - Add target distribution and kernel to boot line.
 
  * Packaging
   - Append version and arch to the byhand filenames, to make dak happy;
     thanks to Joerg Jaspert for the dak digging!
   - Add a gitignore file.
   - Bump B-D on grub-pc to >= 1.99~rc1-3 (see #613245).

 -- Didier Raboud <odyx@debian.org>  Mon, 21 Feb 2011 21:15:32 +0100

win32-loader (0.6.22) unstable; urgency=low

  [ Joey Hess ]
  * update Vcs fields

  [ Didier Raboud ]
  * Add a dpkg-distaddfile byhand call to install win32-loader-
    standalone.exe as tools/$(SUITE)/win32-loader.exe on the mirrors.
  * Set BYHAND to "yes".
  * Use my @d.o address and remove the DMUA flag.

 -- Didier Raboud <odyx@debian.org>  Tue, 25 Jan 2011 23:28:30 +0100

=== debian/control ===
Source: win32-loader
Section: utils
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Robert Millan <rmh.debian@aybabtu.com>, Didier Raboud <odyx@debian.org>
Build-Depends:
 debhelper (>= 7.0.50),
 nsis (>= 2.43),
 gcc-mingw32, mingw32-runtime,
 gettext,
 grub-pc (>= 1.99~rc1-3),
 loadlin (>= 1.6c.really1.6c.nobin-1~),
 locales-all,
 gpgv-win32, debian-archive-keyring,
 cpio-win32 (>= 2.11-4), gzip-win32
Standards-Version: 3.9.1.0
Vcs-Browser: http://git.debian.org/?p=d-i/win32-loader.git
Vcs-Git: git://git.debian.org/d-i/win32-loader.git

Package: win32-loader
Architecture: all
Depends: ${misc:Depends}, base-files (>= 4.0.1~)
Suggests: wine
Description: Debian-Installer loader for win32
 This package provides a win32 program that can be used as a loader for
 Debian Installer, acting as a more user-friendly boot mechanism than
 traditional BIOS-based boot.
 .
 This package contains both the cdrom/usb-disk add-on that starts a media-based
 install and the standalone netboot loader.

=== debian/rules ===
#!/usr/bin/make -f

# Install the win32-loader-standalone.exe as debian/tools/win32-loader/$(SUITE)/win32-loader.exe on the mirrors
BYHAND ?= yes

W32_VERSION := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
W32_BYHAND_NAME := win32-loader_$(W32_VERSION)_all

PACKAGES_LIST = $(shell dpkg-query -f='$${Package;-25} $${Version}\\n' -W grub-pc cpio-win32 gzip-win32 gpgv-win32 debian-archive-keyring loadlin )
NSIS_VERSION  = $(shell dpkg-query -f='$${Version}' -W nsis )

%:
	dh $@

override_dh_auto_build:
ifeq ($(BYHAND),yes)
	# Build the standalone version
	STANDALONE=yes \
		OUTFILE_NAME=$(W32_BYHAND_NAME).exe \
		dh_auto_build
	
	# Prepare the README file
	awk '{sub(/@PACKAGES_LIST@/,"$(PACKAGES_LIST)")}1 \
             {sub(/@NSIS_VERSION@/,"$(NSIS_VERSION)")}1 \
             {sub(/@W32_VERSION@/,"$(W32_VERSION)")}1' \
		debian/win32-loader_doc.txt > $(W32_BYHAND_NAME).txt
	cat debian/copyright >> $(W32_BYHAND_NAME).txt
endif
	# Build the cdrom version
	OUTFILE_NAME=win32-loader.exe \
		dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(W32_BYHAND_NAME).exe
	rm -f $(W32_BYHAND_NAME).txt

override_dh_builddeb:
	dh_builddeb
ifeq ($(BYHAND),yes)
	cp $(W32_BYHAND_NAME).exe ../
	dpkg-distaddfile $(W32_BYHAND_NAME).exe byhand -

	cp $(W32_BYHAND_NAME).txt ../
	dpkg-distaddfile $(W32_BYHAND_NAME).txt byhand -
endif
